import java.util.Vector;
import javax.swing.table.DefaultTableModel;

class ChordTableModel extends DefaultTableModel {
    
    ChordTableModel() {
        super();
        
        this.addColumn((String) "Chord");
        this.addColumn((String) "Fingering");
    }
    
    public void addChord(Chord c) {
        this.addRow(new String[] {c.toString(),"696969"});
    }
    
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return false;
    }
    
    public void dropContents() {
        
        while(this.getRowCount() > 0)
            this.removeRow(0);
        
    }
    
}

class CDBTableModel extends ChordTableModel {
    
    CDBTableModel() {
        super();
        
        this.addColumn((String) "Fingering #2");
    }
    
    public void addChord(Chord c) {
        this.addRow(new String[] {c.toString(),"696969","123456"});
    }    
}