import javax.swing.text.*;
import java.awt.color.*;
import java.awt.*;

/*
 * Class that returns default formatting styles
 */ 

public class MyStyleContext extends StyleContext {
    
    MyStyleContext () {
        super();
        Style base, style;
        
        base = this.addStyle("TEXT", null);
        base.addAttribute(StyleConstants.Background, Color.white);
        base.addAttribute(StyleConstants.Foreground, Color.black);
        
        style = this.addStyle("CHORD", null);
        style.addAttribute(StyleConstants.Background, Color.white);
        style.addAttribute(StyleConstants.Foreground, Color.red);

    }

}
