import java.io.*;
import java.lang.*;
import java.util.*;

class getDirContents {
    
    int songcount; // number of songs in folder
    public String REPOSITORY = "./songs";
    
    public Vector getDir () {
        
        Vector song = new Vector();
        songcount = 0;
        String[] data = new File(REPOSITORY).list();
        Arrays.sort(data);
        
        //Song[] songlist = new Song[data.length];
        
        for (int i=0; i<data.length; i++)
        {
            if (data[i].endsWith(".txt")) {
                System.out.println("parsing: " + REPOSITORY + "/" + data[i]);
                //songlist[i] = new Song();
                song.add(CreateSong(data[i]));
                //songlist[i] = CreateSong(data[i]);
                songcount++;
            }
            //else
              //  songlist[i] = null;
        }
        
        //System.out.println("filename: "+songlist[0].FILENAME);
        
        return song; //array of songs
        
    }
    
    public int songcount() {
        // returns number of songs in folder
        
        return songcount;
    }
    
    // create a new object from a filename.
    
    public Song CreateSong(String filename) {
        
        //int i;
        Song sng = new Song(); // creates new song for list
        //System.out.println("CreateSong("+filename+")"); 
        
        try {
            BufferedReader input = new BufferedReader(new FileReader(REPOSITORY+"/"+filename));
            String line;
            boolean stop = false;

            StringTokenizer st;
            int tline, lineN;
            lineN = 0;
            
            sng.FILENAME = filename;

            while ((line = input.readLine())!= null) {
                
                if (line.length() > 0 && line.startsWith("[")) {
     
                            int side = (line.substring(1,(line.length()-1))).indexOf("=");
                            String tag = line.substring(1,side+1);
                            String att = line.substring(side+2,line.length()-1);
                            tag.toUpperCase(); // converting tags to uppercase to avoid parsing errors
                            if (tag.compareTo("ARTIST") == 0) sng.ARTIST = att;
                            else if (tag.compareTo("TITLE") == 0) sng.TITLE = att;
                            else if (tag.compareTo("ALBUM") == 0) sng.ALBUM = att;
                            else if (tag.compareTo("COMMENTS") == 0) sng.COMMENTS = att;
                            //else if (tag.compareTo("TEMPO") == 0) sng.TEMPO = toInteger(att);
                            
                        }
                }

        } catch (IOException E) { System.out.println("Cannot read song: "+E); }
        
        //System.out.println("title: "+sng.TITLE);
        
        if (sng.TITLE == null) { 
            //System.out.println("no title, filename: "+filename); 
            sng.TITLE = new String(sng.FILENAME.substring(0, sng.FILENAME.indexOf(".")));
                
        } // in order to have a nice list, filename is used instead of song title, if no tag is found

        //System.out.println("Created song obj: "+sng.FILENAME);
        return sng; // returns SONG object
        
    }
    
}
